Ticket #7615 (closed defect: duplicate)

Opened 6 years ago

Last modified 6 years ago

sugar-evince needs to be build against recent poppler

Reported by: pepe Owned by: dsd
Priority: normal Milestone: 9.1.0-cancelled
Component: read-activity Version: not specified
Keywords: Cc: homunq, gdesmott
Action Needed: add to build Verified: no
Deployments affected: Blocked By:
Blocking: #6729

Description

I noticed for about a month now, that Read and Web(Browse) do not work for the latest joyride builds. Web won't open download-dialogs anymore and Read shows zero pages for any opened pdf. Read does show the correct title of the pdf though. Intrestingly, ctrl-q does also not work anymore for Web/Read, but it still does for Memory, Analyse, Distance, ..

Reproduce:
- flash XO with os703.img, install G1G1 activity pack
- download pdf in Web and view in Reader. -> all fine
- olpc-upgrade joyride-2201 + reboot
- both, web and reader now show the bug

Not fixing this issue:
- installing older joyrides (problem persisted for some weeks)
- upgrade activities via s-c-p software upgrade
- upgrade activities manually
- using Read-44.xo instead of latest v45

Attachments

org.laptop.sugar.ReadActivity-1.log (2.7 kB) - added by dsd 6 years ago.
read logs showing exception

Change History

Changed 6 years ago by dsd

  • keywords 8.2.0:? Read-44:- Read-45:- added
  • owner changed from mstone to rwh
  • component changed from other-activity to read-activity
  • summary changed from activities break for recent joyride builds to joyride read can't open PDFs

Please file one ticket per bug. Let's use this one for read, since you specified more info there.

Please open another ticket for Browse, stating which version you are using. Note that you must be using Browse-92 or newer on joyride, as documented on the 8.2.0 release notes. There is also a known issue with the automated browse update (#7494).

Changed 6 years ago by dsd

  • cc dsd added

Changed 6 years ago by marco

  • next_action changed from never set to diagnose

Changed 6 years ago by dsd

read logs showing exception

Changed 6 years ago by dsd

  • cc dsd removed
  • owner changed from rwh to dsd

I am working on this, will have it fixed soon

Changed 6 years ago by dsd

sugar-evince is building against poppler-0.8, well, actually it doesn't build the PDF support at all. we need a 0.6 build, so I filed https://bugzilla.redhat.com/show_bug.cgi?id=456602

Changed 6 years ago by marco

We could also update sugar-evince to work with 0.8.

Changed 6 years ago by marco

I have untested rpms for the latest sugar-evince (synced with evince trunk):

http://dev.laptop.org/~marco/sugar-evince-2.23.5-1.fc9.i386.rpm http://dev.laptop.org/~marco/sugar-evince-python-2.23.5-1.fc9.i386.rpm http://dev.laptop.org/~marco/sugar-evince-2.23.5-1.fc9.src.rpm

I'm not sure how much time and resources we have to test this, so if you prefer to go with sugar-evince 2.20/poppler-0.6 that's fine with me too.

Changed 6 years ago by marco

  • next_action changed from diagnose to package

Changed 6 years ago by dsd

Given the number of other bugs we have to look at, I'd rather stick with what we know works, unless we meet resistance upstream. Thanks though, I'll try and find time to test your new packages!

Changed 6 years ago by homunq

trying to install Marco's rpms on joyride 2181, I get this error:

Failed dependencies: libevbackend.so.0 ....

Changed 6 years ago by homunq

  • cc homunq added

Changed 6 years ago by homunq

  • blocking 6729 added

Changed 6 years ago by gdesmott

  • cc gdesmott added

Changed 6 years ago by dsd

  • keywords joyride-2226:+ added; Read-44:- Read-45:- removed
  • status changed from new to closed
  • resolution set to fixed

fixed with new sugar-evince and poppler packages in recent joyrides

Changed 6 years ago by garycmartin

Testing with joyride-2269; I can now download a pdf with Browse, open it from the Journal and view the content with Read (though I do still get the nasty "Keep error don't-stop/stop-anyway" every time I try to close).

Changed 6 years ago by mstone

  • keywords 8.2.0:+ added; 8.2.0:? removed
  • next_action changed from package to qa signoff

Changed 6 years ago by cscott

  • status changed from closed to reopened
  • next_action changed from qa signoff to add to build
  • summary changed from joyride read can't open PDFs to sugar-evince needs to be build against recent poppler
  • priority changed from blocker to normal
  • milestone changed from 8.2.0 (was Update.2) to 9.1.0
  • keywords 8.2.0:+ joyride-2226:+ removed
  • resolution deleted

Reopening to track the fixes in marco's comment 7: we need to update sugar-evince for 9.1, at least. The old poppler is preventing people from using yum to install inkscape (for example).

Changed 6 years ago by dsd

  • status changed from reopened to closed
  • resolution set to duplicate

dup of #7926

Note: See TracTickets for help on using tickets.